PHP Zend引擎释放后重用堆破坏漏洞(CVE-2010-4697)

2012-04-12T00:00:00
ID SSV:60052
Type seebug
Reporter Root
Modified 2012-04-12T00:00:00

Description

BUGTRAQ ID: 45952 CVE ID: CVE-2010-4697

PHP是一种HTML内嵌式的语言,PHP与微软的ASP颇有几分相似,都是一种在服务器端执行的嵌入HTML文档的脚本语言,语言的风格有类似于C语言,现在被很多的网站编程人员广泛的运用。

PHP 5.2.15之前版本和5.3.4之前版本的Zend引擎中存在释放后重用漏洞,通过引用所访问对象上的use of __set, __get, __isset和__unset方法,攻击者可造成拒绝服务或其他攻击。 0 PHP 5.3.x PHP 5.2.x 厂商补丁:

PHP

目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

http://www.php.net